{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.wireguard;
in {
  options.marleyos.programs.wireguard.enable = lib.mkEnableOption "wireguard";

  config = lib.mkIf cfg.enable {
    homebrew.masApps = {
      "WireGuard" = 1451685025;
    };
  };
}
